#
# spec file for package hfsutils
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hfsutils
BuildRequires:  automake
BuildRequires:  tk-devel
BuildRequires:  xorg-x11-devel
Version:        3.2.6
Release:        1245.4
Summary:        Tools Used for the Macintosh's Hierarchical File System
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://www.mars.org/home/rob/proj/hfs/
Source:         hfsutils-%{version}.tar.bz2
Patch:          hfsutils-%{version}.dif
Patch1:         hfsutils-%{version}-ia64.dif
Patch2:         hfsutils-%{version}-seek.dif
Patch3:         hfsutils-%{version}-conf.dif
Patch4:         hfsutils-%{version}-errno.dif
Patch5:         hfsutils-exclusive-open.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HFS is the Hierarchical File System used on modern Macintosh computers.
With this package, you can read and write Macintosh-formatted media,
such as floppy disks, CD-ROMs, and SCSI hard disks on most UNIX
platforms. You can also format raw media into an HFS volume.

%package -n xhfsutil
Version:        3.2.6
Release:        1245.4
Summary:        Tcl/Tk Front-End for hfsutils
Group:          System/Filesystems
Requires:       hfsutils

%description -n xhfsutil
A Tcl interface for scriptable access to volumes and  Tk-based
front-end for browsing and copying files through a variety of transfer
modes (MacBinary, BinHex, text, etc.) for hfsutils.

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch5 -p1

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -DUSE_INTERP_RESULT" \
./configure --prefix=/usr --mandir=%{_mandir} \
	    --with-tcl=%{_libdir} --with-tk=%{_libdir}
make

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc README TODO CHANGES BLURB COPYING COPYRIGHT CREDITS
/usr/bin/hattrib
/usr/bin/hcd
/usr/bin/hcopy
/usr/bin/hdel
/usr/bin/hdir
/usr/bin/hformat
/usr/bin/hls
/usr/bin/hmkdir
/usr/bin/hmount
/usr/bin/hpwd
/usr/bin/hrename
/usr/bin/hrmdir
/usr/bin/humount
/usr/bin/hvol
%doc %{_mandir}/man1/hattrib.1.gz
%doc %{_mandir}/man1/hcd.1.gz
%doc %{_mandir}/man1/hcopy.1.gz
%doc %{_mandir}/man1/hdel.1.gz
%doc %{_mandir}/man1/hdir.1.gz
%doc %{_mandir}/man1/hformat.1.gz
%doc %{_mandir}/man1/hls.1.gz
%doc %{_mandir}/man1/hmkdir.1.gz
%doc %{_mandir}/man1/hmount.1.gz
%doc %{_mandir}/man1/hpwd.1.gz
%doc %{_mandir}/man1/hrename.1.gz
%doc %{_mandir}/man1/hrmdir.1.gz
%doc %{_mandir}/man1/humount.1.gz
%doc %{_mandir}/man1/hvol.1.gz
%doc %{_mandir}/man1/hfsutils.1.gz

%files -n xhfsutil
%defattr(-,root,root)
/usr/bin/hfssh
/usr/bin/hfs
/usr/bin/xhfs
%doc %{_mandir}/man1/hfssh.1.gz
%doc %{_mandir}/man1/hfs.1.gz
%doc %{_mandir}/man1/xhfs.1.gz

%changelog
* Thu Aug  1 2013 max@suse.com
- Add -DUSE_INTERP_RESULT to fix build with Tcl 8.6.
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Nov  5 2007 olh@suse.de
- open block devices with O_EXCL (238687)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Wed Jul 23 2003 max@suse.de
- added tk-devel to neededforbuild.
* Sun Dec  1 2002 ro@suse.de
- include errno.h where needed
* Mon Nov 18 2002 schwab@suse.de
- Enable LFS.
- Fix use of off_t.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jan 23 2002 tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Wed May 16 2001 cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Mar  7 2001 cihlar@suse.cz
- fixed neededforbuild
* Wed Nov 29 2000 ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Nov  3 2000 cihlar@suse.cz
- bzipped sources
- improved BuildRoot
* Tue Jul 11 2000 cihlar@suse.cz
- fixed bug in error messages in hcopy
* Fri Jun 16 2000 cihlar@suse.cz
- Copyright tag fixed
* Tue May 16 2000 cihlar@suse.cz
- xhfs, hfssh and hfs moved to xhfsutils
* Mon May 15 2000 cihlar@suse.cz
- Group sorted
* Wed Apr  5 2000 cihlar@suse.cz
- added BuildRoot
- clean up spec file
* Thu Jan 20 2000 ro@suse.de
- man to /usr/share/man
* Tue Oct 12 1999 ro@suse.de
- update to 3.2.6
* Tue Oct 12 1999 ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 13 1998 ro@suse.de
- new package version 3.2
